% Nerreter, Grundlagen der Elektrotechnik
% Kapitel 7, Beispiele 6 und 7
clc
disp('Nerreter, Grundlagen der Elektrotechnik');
disp('Kapitel 7, Beispiele 6 und 7');
syms A b;
w2b=pi/180;
U = 400;
Z1B=60; Z1W=-18; Z1=Z1B*cos(w2b*Z1W) + 1i*Z1B*sin(w2b*Z1W);
Z2B=24; Z2W=50;  Z2=Z2B*cos(w2b*Z2W) + 1i*Z2B*sin(w2b*Z2W);
Z3B=24; Z3W=0;   Z3=Z3B*cos(w2b*Z3W) + 1i*Z3B*sin(w2b*Z3W);
U12B=U; U12W=30;  U12=U12B*cos(w2b*U12W) + 1i*U12B*sin(w2b*U12W);
U23B=U; U23W=-90; U23=U23B*cos(w2b*U23W) + 1i*U23B*sin(w2b*U23W);
U31B=U; U31W=150; U31=U31B*cos(w2b*U31W) + 1i*U31B*sin(w2b*U31W);
A=[Z1 -Z2; Z3 Z2+Z3]; b=[U12; U23];
S=linsolve(A,b);
I1=S(1);
I2=S(2);
I3=-I1-I2;
disp(' ');
disp(['Betrag I1 =',sprintf(' %2.4f ',abs(I1)),' A']);
w=angle(I1)/w2b;
disp(['Winkel I1 =',sprintf(' %3.4f ',w),' Grad']);
disp(' ');
disp(['Betrag I2 =',sprintf(' %2.4f ',abs(I2)),' A']);
w=angle(I2)/w2b;
disp(['Winkel I2 =',sprintf(' %3.4f ',w),' Grad']);
disp(' ');
disp(['Betrag I3 =',sprintf(' %2.4f ',abs(I3)),' A']);
w=angle(I3)/w2b;
disp(['Winkel I3 =',sprintf(' %3.4f ',w),' Grad']);
U1K=Z1*I1;
U2K=Z2*I2;
U3K=Z3*I3;
disp(' ');
disp(['Betrag U1K =',sprintf(' %3.4f ',abs(U1K)),' V']);
w=angle(U1K)/w2b;
disp(['Winkel U1K =',sprintf(' %3.4f ',w),' Grad']);
disp(' ');
disp(['Betrag U2K =',sprintf(' %3.4f ',abs(U2K)),' V']);
w=angle(U2K)/w2b;
disp(['Winkel U2K =',sprintf(' %3.4f ',w),' Grad']);
disp(' ');
disp(['Betrag U3K =',sprintf(' %3.4f ',abs(U3K)),' V']);
w=angle(U3K)/w2b;
disp(['Winkel U3K =',sprintf(' %3.4f ',w),' Grad']);
aB=1; aW=120;  a=aB*cos(w2b*aW) + j*aB*sin(w2b*aW);
bB=1; bW=-120; b=bB*cos(w2b*bW) + j*bB*sin(w2b*bW);
A=[1 1; b a]; b=[I1; I2];
S=linsolve(A,b);
Im=S(1); Ig=S(2);
disp(' ');
disp(['Betrag Im =',sprintf(' %2.4f ',abs(Im)),' A']);
w=angle(Im)/w2b;
disp(['Winkel Im =',sprintf(' %3.4f ',w),' Grad']);
disp(' ');
disp(['Betrag Ig =',sprintf(' %2.4f ',abs(Ig)),' A']);
w=angle(Ig)/w2b;
disp(['Winkel Ig =',sprintf(' %3.4f ',w),' Grad']);

